libflightcrew0v5_0.7.2+dfsg-6ubuntu0.1_i386.deb


Advertisement

Description

libflightcrew0v5 - C++ library for epub validation

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe i386
Package filename libflightcrew0v5_0.7.2+dfsg-6ubuntu0.1_i386.deb
Package name libflightcrew0v5
Package version 0.7.2+dfsg
Package release 6ubuntu0.1
Package architecture i386
Package type deb
Category universe/text
Homepage http://code.google.com/p/flightcrew
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 364.71 KB
Installed size 1.89 MB
FlightCrew is an epub validator written in C++. It is used by sigil
to validate epub files, and may be generally useful for other epub
creation utilities.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libflightcrew0v5_0.7.2+dfsg-6ubuntu0.1_amd64.deb 0.7.2+dfsg amd64 Ubuntu Updates Universe
libflightcrew0v5_0.7.2+dfsg-6_i386.deb 0.7.2+dfsg i386 Ubuntu Universe
libflightcrew0v5_0.7.2+dfsg-6_amd64.deb 0.7.2+dfsg amd64 Ubuntu Universe
libflightcrew0v5 - - -

Requires

Name Value
libboost-filesystem1.58.0 -
libboost-regex1.58.0 -
libboost-system1.58.0 -
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libxerces-c3.1 -
zlib1g >= 1:1.1.4

Conflicts

Name Value
libflightcrew0 -

Replaces

Name Value
libflightcrew0 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libflightcrew0v5_0.7.2+dfsg-6ubuntu0.1_i386.deb
Source Package flightcrew

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libflightcrew0v5 deb package:
    # sudo apt-get install libflightcrew0v5

Changelog

2019-07-01 - Mike Salvatore <mike.salvatore@canonical.com>
flightcrew (0.7.2+dfsg-6ubuntu0.1) xenial-security; urgency=medium
* SECURITY UPDATE: NULL pointer dereference (DoS) when processing crafted
EPUB file
- debian/patches/CVE-2019-13032-1.patch: prevent segfault from malformed
opf items in GetRelativePathToNcx()
- debian/patches/CVE-2019-13032-2.patch: prevent segfault from malformed
opf items in GetRelativePathsToXhtmlDocuments()
- CVE-2019-13032
* SECURITY UPDATE: Zip Slip directory traversal when processing a crafted
EPUB file
- debian/patches/CVE-2019-13241-1.patch: try to make extracting epbs safer
- debian/patches/CVE-2019-13241-2.patch: further harden zip extraction to
always be safe
- debian/patches/CVE-2019-13241-3.patch: harden further by throwing
exception
- CVE-2019-13241
* SECURITY UPDATE: Infinite loop leading to DoS and resource consumption
- debian/patches/CVE-2019-13453.patch: Prevent infinite loop in zipios
library by checking for EOF
- CVE-2019-13453
2015-12-08 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-6) unstable; urgency=medium
* [7ccf0ab] debian/patches/reproducible-build: also sort the sources of
xerces before compiling/linking them.
2015-12-07 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-5) unstable; urgency=medium
* [fb787bf] debian/patches/reproducible-build: also sort the sources of
zipios before compiling/linking them.
2015-12-06 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-4) unstable; urgency=medium
* [2f174b8] debian/patches/reproducible-build: also sort the sources of
flightcrew-gui before compiling/linking them.
2015-12-06 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-3) unstable; urgency=medium
* [fba6efa] debian/{control,copyright}: use my @debian.org email address.
* [c33d445] debian/patch/reproducible-build: add to make the build
reproducible independent from readdir() order.
2015-08-29 - Mattia Rizzolo <mattia@mapreri.org>
flightcrew (0.7.2+dfsg-2) unstable; urgency=medium
* [56f6b9c] debian/rules: enable parallel building
* [89b9213] libflightcrew0 → libflightcrew0v5 for the libstdc++6 transition
2015-02-12 - Mattia Rizzolo <mattia@mapreri.org>
flightcrew (0.7.2+dfsg-1) experimental; urgency=low
[ Don Armstrong ]
* Initial packaging (closes: #602781)

See Also

Package Description
libfm-data_1.2.4-1ubuntu1.1_all.deb file management support (common data)
libfm-dev_1.2.4-1ubuntu1.1_i386.deb file management support (core development files)
libfm-doc_1.2.4-1ubuntu1.1_all.deb file management support (development documentation)
libfm-extra4_1.2.4-1ubuntu1.1_i386.deb file management support (extra library)
libfm-gtk-data_1.2.4-1ubuntu1.1_all.deb file management support (GTK+ library common data)
libfm-gtk-dev_1.2.4-1ubuntu1.1_i386.deb file management support (GTK+ GUI development files)
libfm-gtk4_1.2.4-1ubuntu1.1_i386.deb file management support (GTK+ 2.0 GUI library)
libfm-modules_1.2.4-1ubuntu1.1_i386.deb file management support (loadable modules for library)
libfm-tools_1.2.4-1ubuntu1.1_i386.deb file management support (utilities)
libfm4_1.2.4-1ubuntu1.1_i386.deb file management support (core library)
libfontforge-dev_20120731.b-7.1ubuntu0.1_i386.deb font editor - runtime library (development files)
libfontforge1_20120731.b-7.1ubuntu0.1_i386.deb font editor - runtime library
libfpga-dev_0.0+201212-1build0.1_i386.deb development files for fpgatools
libfpga0_0.0+201212-1build0.1_i386.deb libraries of fpgatools
libfreeimage-dev_3.17.0+ds1-2ubuntu0.1_i386.deb Support library for graphics image formats (development files)
Advertisement
Advertisement